Subject: Re: bug#20237: Emacs built on Windows cannot figure out path correctly

From: Eli Zaretskii <[email-masked]>
Date: Sat, 04 Apr 2015 18:07:11 +0300

> From: Andy Moreton <[email-masked]>
> Date: Sat, 04 Apr 2015 15:34:26 +0100
> 
> >> Removing the use of shell-quote-argument seems to work around this
> >> problem.
> >
> > I don't see why quoting here could do any harm.  Could you elaborate
> > on why you think it's wrong?
> 
> Because removing the shell-quote-argument call fixed it for me:

But that might mean some other bug elsewhere, which is simply
concealed by removing the quoting.  The quoting is probably necessary
if the Python install directory's name includes whitespace.

Can you tell where the quoting causes that strange prefix be
prepended?  I got as far as split-string-and-unquote in
python-shell-make-comint, and still saw no apparent problems.

Thanks.